import React, { useEffect, useMemo, useRef, useState } from "react";
import { Dropdown, Menu, Button, Tooltip } from "antd";
import { ProTable } from "@ant-design/pro-table";
import { doFetch } from "@/utils/doFetch";
import AutoTable from "@/components/AutoTable";

function Instore(props) {
  const columns = [
    {
      title: "操作时间",
      dataIndex: "operateTime",
      key: "operateTimeList",
      width: 300,
      valueType: "dateRange",
      search: false,
      render: (_, row) => {
        return <div>{row.operateTime}</div>;
      },
    },
    {
      title: "操作人",
      dataIndex: "operateUserName",
      key: "operateUserName",
    },
    {
      title: "物料编码",
      dataIndex: "materieCode",
      key: "materieCode",
      width: 300,
      search: false,
    },
    {
      title: "物料名称",
      dataIndex: "materieName",
      key: "materieName",
    },
    {
      title: "批次号",
      dataIndex: "materieControlNo",
      key: "materieControlNo",
    },
    {
      title: "规格型号",
      dataIndex: "specificationModel",
      key: "specificationModel",
      search: false,
    },
    {
      title: "铁损",
      dataIndex: "ironLoss",
      key: "ironLoss",
      readonly: "ironLoss",
      search: false,
    },
    {
      title: "片厚",
      dataIndex: "sheetThickness",
      key: "sheetThickness",
      readonly: "sheetThickness",
      search: false,
    },
    {
      title: "宽度",
      dataIndex: "width",
      key: "width",
      readonly: "width",
      search: false,
    },
    {
      title: "单边厚度",
      key: "unilateralThickness",
      dataIndex: "unilateralThickness",
      search: false,
    },
    {
      title: "米数",
      dataIndex: "length",
      key: "length",
      search: false,
    },

    {
      title: "牌号",
      dataIndex: "shopSign",
      key: "shopSign",
      readonly: "shopSign",
      search: false,
    },
    {
      title: "当时库存数量",
      dataIndex: "currentNum",
      key: "currentNum",
      search: false,
      width: 200,
    },
    {
      title: "操作数量",
      dataIndex: "operateNum",
      key: "operateNum",
      search: false,
    },
    {
      title: "库存单位",
      dataIndex: "productionUnitName",
      key: "productionUnitName",
      search: false,
      width: 280,
    },

    {
      title: "仓库名称",
      dataIndex: "storeName",
      key: "storeName",
      search: false,
    },
    {
      title: "库位",
      dataIndex: "storePositionName",
      key: "storePositionName",
      search: false,
    },
    {
      title: "操作类型",
      dataIndex: "stockDetailTypeName",
      key: "stockDetailTypeName",
      width: 280,
      search: false,
    },
    {
      title: "相关单号",
      dataIndex: "relatedNo",
      key: "relatedNo",
      search: false,
    },
  ];

  return (
    <div>
      <AutoTable
        {...props}
        pageextra="none"
        path="/ngic-workmanship/wmsMaterieStockRecord/queryList"
        columns={columns}
      ></AutoTable>
    </div>
  );
}

export default Instore;
