import {
  factorySelect,
  shopSelectByFactory,
  productionLineSelectByShop,
  sectionSelectByShop,
} from "@/services/system";
import regValue from "@/utils/regValue";
export default {
  stationNo: {
    value: null,
    type: "input",
    title: "工位编号",
    name: ["stationNo"],
    required: true,
  },
  stationName: {
    value: null,
    type: "input",
    title: "工位名称",
    name: ["stationName"],
    required: true,
  },
  factoryId: {
    value: null,
    type: "select",
    title: "所属工厂",
    name: ["factoryId"],
    required: true,
    options: {
      database: factorySelect,
      params: {},
    },
    linked: true,
  },
  status: {
    value: null,
    type: "select",
    title: "启用状态",
    name: ["status"],
    required: true,
    options: [
      {
        label: "启用",
        value: 1,
      },
      {
        label: "禁用",
        value: 0,
      },
    ],
  },
  remark: {
    value: null,
    type: "textarea",
    title: "描述",
    name: ["remark"],
    required: false,

    col: { span: 24 },
  },
};
